## gupnp-dlna-g-values

gupnp-dlna-g-values

## Functions

GUPnPDLNAFraction * | gupnp_dlna_fraction_copy ()
void | gupnp_dlna_fraction_free ()
gint | gupnp_dlna_fraction_get_numerator ()
gint | gupnp_dlna_fraction_get_denominator ()
GUPnPDLNAFractionRange * | gupnp_dlna_fraction_range_copy ()
void | gupnp_dlna_fraction_range_free ()
GUPnPDLNAFraction * | gupnp_dlna_fraction_range_get_min ()
GUPnPDLNAFraction * | gupnp_dlna_fraction_range_get_max ()
GUPnPDLNAIntRange * | gupnp_dlna_int_range_copy ()
void | gupnp_dlna_int_range_free ()
gint | gupnp_dlna_int_range_get_min ()
gint | gupnp_dlna_int_range_get_max ()

## Object Hierarchy

        GBoxed
        ├── GUPnPDLNAFraction
        ├── GUPnPDLNAFractionRange
        ╰── GUPnPDLNAIntRange

## Description

## Functions

### gupnp_dlna_fraction_copy ()

    GUPnPDLNAFraction *
    gupnp_dlna_fraction_copy (GUPnPDLNAFraction *fraction);

#### Parameters

fraction | A fraction to copy. | [transfer none]

#### Returns

A copy of `fraction` .

[transfer full]

### gupnp_dlna_fraction_free ()

    void
    gupnp_dlna_fraction_free (GUPnPDLNAFraction *fraction);

Frees `fraction` .

#### Parameters

fraction | A fraction to free. |

### gupnp_dlna_fraction_get_numerator ()

    gint
    gupnp_dlna_fraction_get_numerator (GUPnPDLNAFraction *fraction);

#### Parameters

fraction | A fraction. |

#### Returns

`fraction` 's numerator.

### gupnp_dlna_fraction_get_denominator ()

    gint
    gupnp_dlna_fraction_get_denominator (GUPnPDLNAFraction *fraction);

#### Parameters

fraction | A fraction. |

#### Returns

`fraction` 's denominator.

### gupnp_dlna_fraction_range_copy ()

    GUPnPDLNAFractionRange *
    gupnp_dlna_fraction_range_copy (GUPnPDLNAFractionRange *range);

#### Parameters

range | A range to copy. | [transfer none]

#### Returns

A copy of `range` .

[transfer full]

### gupnp_dlna_fraction_range_free ()

    void
    gupnp_dlna_fraction_range_free (GUPnPDLNAFractionRange *range);

Frees `range` .

#### Parameters

range | A range to free. |

### gupnp_dlna_fraction_range_get_min ()

    GUPnPDLNAFraction *
    gupnp_dlna_fraction_range_get_min (GUPnPDLNAFractionRange *range);

#### Parameters

range | A range. |

#### Returns

Minimum value of `range` .

[transfer none]

### gupnp_dlna_fraction_range_get_max ()

    GUPnPDLNAFraction *
    gupnp_dlna_fraction_range_get_max (GUPnPDLNAFractionRange *range);

#### Parameters

range | A range. |

#### Returns

Maximum value of `range` .

[transfer none]

### gupnp_dlna_int_range_copy ()

    GUPnPDLNAIntRange *
    gupnp_dlna_int_range_copy (GUPnPDLNAIntRange *range);

#### Parameters

range | A range to copy. | [transfer none]

#### Returns

A copy of `range` .

[transfer full]

### gupnp_dlna_int_range_free ()

    void
    gupnp_dlna_int_range_free (GUPnPDLNAIntRange *range);

Frees `range` .

#### Parameters

range | A range to free. |

### gupnp_dlna_int_range_get_min ()

    gint
    gupnp_dlna_int_range_get_min (GUPnPDLNAIntRange *range);

#### Parameters

range | A range. |

#### Returns

Minimum value of `range` .

### gupnp_dlna_int_range_get_max ()

    gint
    gupnp_dlna_int_range_get_max (GUPnPDLNAIntRange *range);

#### Parameters

range | A range. |

#### Returns

Maximum value of `range` .